Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!

Bug 736659 (CVE-2020-6542, CVE-2020-6543, CVE-2020-6544, CVE-2020-6545, CVE-2020-6547, CVE-2020-6548, CVE-2020-6549, CVE-2020-6550, CVE-2020-6551, CVE-2020-6552, CVE-2020-6553, CVE-2020-6554, CVE-2020-6555)

Summary: <www-client/{chromium,google-chrome}-84.0.4147.125: Multiple vulnerabilities (CVE-2020-{6542,6543,6544,6545,6547,6548,6549,6550,6551,6552,6553,6554,6555})
Product: Gentoo Security Reporter: Stephan Hartmann <sultan>
Component: VulnerabilitiesAssignee: Gentoo Security <security>
Status: RESOLVED FIXED    
Severity: major CC: chromium
Priority: Normal Flags: nattka: sanity-check+
Version: unspecified   
Hardware: All   
OS: Linux   
URL: https://chromereleases.googleblog.com/2020/08/stable-channel-update-for-desktop.html
Whiteboard: A2 [glsa+ cve]
Package list:
www-client/chromium-84.0.4147.125
Runtime testing required: ---

Description Stephan Hartmann gentoo-dev 2020-08-10 20:55:01 UTC
See ${URL}

CVE-2020-6546 is for installer, which we are not using.
Comment 1 Larry the Git Cow gentoo-dev 2020-08-11 14:21:29 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=51785bc49a3c06e107288436d1a57b63050394dc

commit 51785bc49a3c06e107288436d1a57b63050394dc
Author:     Stephan Hartmann <stha09@googlemail.com>
AuthorDate: 2020-08-11 08:35:05 +0000
Commit:     Mike Gilbert <floppym@gentoo.org>
CommitDate: 2020-08-11 14:19:33 +0000

    www-client/chromium: stable channel bump to 84.0.4147.125
    
    Bug: https://bugs.gentoo.org/736659
    Package-Manager: Portage-2.3.99, Repoman-2.3.23
    Signed-off-by: Stephan Hartmann <stha09@googlemail.com>
    Signed-off-by: Mike Gilbert <floppym@gentoo.org>
    Closes: https://github.com/gentoo/gentoo/pull/17076

 www-client/chromium/Manifest                      |   1 +
 www-client/chromium/chromium-84.0.4147.125.ebuild | 864 ++++++++++++++++++++++
 2 files changed, 865 insertions(+)
Comment 2 Agostino Sarubbo gentoo-dev 2020-08-12 06:00:08 UTC
amd64 stable
Comment 3 GLSAMaker/CVETool Bot gentoo-dev 2020-08-12 06:07:44 UTC
This issue was resolved and addressed in
 GLSA 202008-07 at https://security.gentoo.org/glsa/202008-07
by GLSA coordinator Sam James (sam_c).
Comment 4 Sam James archtester gentoo-dev Security 2020-08-12 06:08:08 UTC
Reopening for arm64.
Comment 5 Sam James archtester gentoo-dev Security 2020-08-12 07:53:13 UTC
arm64 done

all arches done
Comment 6 Sam James archtester gentoo-dev Security 2020-08-12 07:53:49 UTC
(In reply to Sam James from comment #5)
> arm64 done
> 
> all arches done

Please cleanup.
Comment 7 Larry the Git Cow gentoo-dev 2020-08-12 08:00:00 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=428c7846e3cd4853e585abe688488c860eb7d708

commit 428c7846e3cd4853e585abe688488c860eb7d708
Author:     Sam James <sam@gentoo.org>
AuthorDate: 2020-08-12 07:59:29 +0000
Commit:     Sam James <sam@gentoo.org>
CommitDate: 2020-08-12 07:59:55 +0000

    www-client/chromium: security cleanup
    
    Closes: https://bugs.gentoo.org/736659
    Package-Manager: Portage-3.0.2, Repoman-2.3.23
    Signed-off-by: Sam James <sam@gentoo.org>

 www-client/chromium/Manifest                      |   1 -
 www-client/chromium/chromium-84.0.4147.105.ebuild | 864 ----------------------
 2 files changed, 865 deletions(-)